/**
*iSCSI App
* There are different ways implementing an App
*/
var iscsiInitiatorApp = iscsiInitiatorApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
iscsiInitiatorApp.App = function () {
    this.id = 'iSCSI Initiator';
    this.name = 'iSCSI Initiator';
    this.version = '6.0.10';
    this.active = false;
    this.menuIcon = '/apps/iscsiinitiator/images/logo.png?v=6.0.10&';
    this.shortcutIcon = '/apps/iscsiinitiator/images/logo.png?v=6.0.10&';
    this.entryUrl = '/apps/iscsiinitiator/initiator_list.html?v=6.0.10&';
    //this.entryHelpUrl = '/apps/iscsi/iscsitarget_help.html?v=6.0.10&';
    var self = this;
    this.iscsiInitiatorAppWindow = function () { //create app window
        if(UNAS.CheckAppState('iSCSI Initiator')){
            return false;
        }
        self.window = new MUI.Window({
            id: 'iscsiInitiatorAppWindow',
            title: UNAS._('iSCSI Initiator'),
            loadMethod: 'xhr',
            icon: '/apps/iscsiinitiator/images/logo_small.png?v=6.0.10&',
            width: 800,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/iscsiinitiator/initiator_list.html?v=6.0.10&',
            require: {  css: ['/apps/iscsiinitiator/css/iscsiinitiator.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("iSCSI Initiator",'iscsiInitiatorAppWindow')}
        });
    };
    this.iscsiInitiatorAppUninstall = function (){
        UNAS.RemoveDesktopShortcut('iSCSI Initiator');
        UNAS.RemoveMenu('iSCSI Initiator');
        UNAS.RemoveAppFromGroups('iSCSI Initiator', 'ControlPanel');
        UNAS.RemoveAppFromGroups('iSCSI Initiator', 'Help');
        UNAS.RemoveAppFromApps('iSCSI Initiator');
    }
    new UNAS.Menu('UNAS_ControlPanel_Storage_Menu', this.name, this.menuIcon, 'iSCSI Initiator', '', this.iscsiInitiatorAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'iSCSI', this.iscsiInitiatorAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Storage', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Storage', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('iSCSI Initiator', UNAS._('iSCSI Initiator')); //translate menu
        //UNAS.SetShortcutTitle('iSCSI', UNAS._('iSCSI')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            //need to translate the window title, menu and shortcut
            UNAS.SetWindowTitle('iscsiInitiatorAppWindow', UNAS._('iSCSI Initiator'));
        }
    }
    UNAS.LoadTranslation('/apps/iscsiinitiator/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name,this.shortcutIcon,this.iscsiInitiatorAppWindow,this.SystemAccessAppUninstall);
};
new iscsiInitiatorApp.App(); //Create app
